#ifndef QDROPEVENTWRAP_H
#define QDROPEVENTWRAP_H


#include "../qt.h"

class QDropEventWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QDropEvent *q);
  QDropEvent* GetWrapped() const { return q_; };
  void SetWrapped(QDropEvent *q) { 
//    if (q_) delete q_; 
//    q_ = new QDropEvent(q);
		q_ = q;
  };

 private:
  QDropEventWrap(const v8::Arguments& args);
  ~QDropEventWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

//void 	accept ()
//void 	ignore ()
//bool 	isAccepted () const
//void 	setAccepted ( bool accepted )
//bool 	spontaneous () const
//Type 	type () const

  // Wrapped methods  
	DEFINE_METHOD(destroy)
	
	DEFINE_METHOD(accept)
	DEFINE_METHOD(ignore)
	DEFINE_METHOD(isAccepted)
	DEFINE_METHOD(setAccepted)
	//DEFINE_METHOD(spontaneous)
	DEFINE_METHOD(type)
	
	DEFINE_METHOD(mimeData)
	DEFINE_METHOD(acceptProposedAction)
	DEFINE_METHOD(pos)
	DEFINE_METHOD(source)
		
  // Wrapped object
  QDropEvent* q_;
};

#endif
