#ifndef QKEYEVENTWRAP_H
#define QKEYEVENTWRAP_H


#include "../qt.h"

class QKeyEventWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QKeyEvent *q);
  QKeyEvent* GetWrapped() const { return q_; };
  void SetWrapped(QKeyEvent *q) {
  	q_ = q;
//    if (q_) delete q_; 
//    q_ = new QKeyEvent(q); 
  };

 private:
  QKeyEventWrap(const v8::Arguments& args);
  ~QKeyEventWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods  
	DEFINE_METHOD(key)
	DEFINE_METHOD(text)
	
	DEFINE_METHOD(destroy)
	
  // Wrapped object
  QKeyEvent* q_;
};

#endif
