#ifndef QDRAGWRAP_H
#define QDRAGWRAP_H

#include "../qt.h"

class QDragWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QDrag *q);
  QDrag* GetWrapped() const { return q_; };
  void SetWrapped(QDrag *q) { 
		q_ = q;
//    if (q_) delete q_; 
//    q_ = new QDrag(q); 
  };

 private:
  QDragWrap(const v8::Arguments& args);
  ~QDragWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(on)
	DEFINE_METHOD(off)
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
	DEFINE_METHOD(exec)
	DEFINE_METHOD(mimeData)
	DEFINE_METHOD(setMimeData)
	//	DEFINE_METHOD(setData)
	DEFINE_METHOD(pixmap)
	DEFINE_METHOD(setPixmap)
	DEFINE_METHOD(setDragCursor)
	DEFINE_METHOD(source)
	DEFINE_METHOD(target)
	DEFINE_METHOD(setHotSpot)
		
	// STATIC
	
  // Wrapped object
  QDrag* q_;
};

#endif
