#ifndef QSOUNDWRAP_H
#define QSOUNDWRAP_H


#include "../qt.h"

class QSoundWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QSound* GetWrapped() const { return q_; };

 private:
  QSoundWrap(const v8::Arguments& args);
  ~QSoundWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
  DEFINE_METHOD(play)
  DEFINE_METHOD(fileName)
  DEFINE_METHOD(setLoops)
	
  // Wrapped object
  QSound* q_;
};

#endif
