#ifndef QFONTDIALOGWRAP_H
#define QFONTDIALOGWRAP_H


#include "../qwidget.h"
#include "qdialogtpl.h"

/*************************************************
 QFontDialog
*************************************************/

class QFontDialogWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
	QFontDialog* GetWrapped() const { return q_; };
	void SetWrapped(QFontDialog *q) { q_ = q;	};
	static v8::Handle<v8::Value> NewInstance(QFontDialog *q);
	bool hasEvents;
	
 private:
  QFontDialogWrap(const v8::Arguments& args);
  ~QFontDialogWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  // OWN METHODS
  DEFINE_METHOD(setOption)

  // STATIC
  DEFINE_METHOD(getFont)
  
  // Wrapped object
  QFontDialog* q_;
};

#endif