#ifndef QPRINTPREVIEWDIALOGWRAP_H
#define QPRINTPREVIEWDIALOGWRAP_H


#include "../qwidget.h"
#include "qdialogtpl.h"

/*************************************************
 QPrintPreviewDialog
*************************************************/

class QPrintPreviewDialogWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
	QPrintPreviewDialog* GetWrapped() const { return q_; };
	void SetWrapped(QPrintPreviewDialog *q) { q_ = q;	};
	static v8::Handle<v8::Value> NewInstance(QPrintPreviewDialog *q);
	bool hasEvents;
	
 private:
  QPrintPreviewDialogWrap(const v8::Arguments& args);
  ~QPrintPreviewDialogWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  // OWN METHODS
  //DEFINE_METHOD(setOption)

  // STATIC
  //DEFINE_METHOD(getFont)
  
  // Wrapped object
  QPrintPreviewDialog* q_;
};

#endif