#ifndef QDATEEDITWRAP_H
#define QDATEEDITWRAP_H


#include "qwidget.h"

class QDateEditWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QDateEdit* GetWrapped() const { return q_; };
  void SetWrapped(QDateEdit *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QDateEdit *q);
	bool hasEvents;
	
 private:
  QDateEditWrap(const v8::Arguments& args);
  ~QDateEditWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
	DEFINE_METHOD(date)
	DEFINE_METHOD(setDate)
		
  // Wrapped object
  QDateEdit* q_;
};

#endif
