#ifndef QDIALOGBUTTONBOXWRAP_H
#define QDIALOGBUTTONBOXWRAP_H


#include "qwidget.h"


/*************************************************
 QDialogButtonBoxWrap
*************************************************/

class QDialogButtonBoxWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QDialogButtonBox* GetWrapped() const { return q_; };
  void SetWrapped(QDialogButtonBox *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QDialogButtonBox *q);
	bool hasEvents;
	
 private:
  QDialogButtonBoxWrap(const v8::Arguments& args);
  ~QDialogButtonBoxWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(on)
	DEFINE_METHOD(off)
	
	DEFINE_METHOD(addButton)
	DEFINE_METHOD(button)
	
  // Wrapped object
  QDialogButtonBox* q_;
};

#endif
