#ifndef MACROS_H
#define MACROS_H

#define HANDLE_WIDGET_EVENTS \
	if (w->hasEvents){ \
		Persistent<Function> f = Persistent<Function>::New(callback); \
		if (!q->eventCallbacks.contains(sign, f)) q->eventCallbacks.insert(sign, f); \
	}
	
#define HANDLE_WIDGET_EVENTS_OFF_ALL \
	if (w->hasEvents){ \
		foreach (v8::Persistent<v8::Value> cb, q->eventCallbacks) cb.Dispose(); \
		q->eventCallbacks.clear(); \
	}
	
#define HANDLE_WIDGET_EVENTS_OFF \
	if (w->hasEvents){ \
		if (args.Length()>1){ \
			Local<Function> cb = Local<Function>::Cast(args[1]); \
			Persistent<Function> cbp = Persistent<Function>::New(cb); \
			QMultiHash<QString, v8::Persistent<v8::Value>>::iterator i = q->eventCallbacks.find(sign, cbp); \
			if (i != q->eventCallbacks.end()) i.value().Dispose(); \
			q->eventCallbacks.remove(sign, cbp); \
		}else{ \
			QList<v8::Persistent<v8::Value>> callbacks = q->eventCallbacks.values(sign); \
			foreach (v8::Persistent<v8::Value> cb, callbacks) cb.Dispose(); \
			q->eventCallbacks.remove(sign); \
		} \
	}
	  
	  
#endif