#ifndef QWRAPPERS_H
#define QWRAPPERS_H

// CORE
//#include "QtCore/qmodelindex.h"
//#include "QtCore/qpoint.h"
//#include "QtCore/qpointf.h"
//#include "QtCore/qrect.h"
//#include "QtCore/qsize.h"

// WIDGETS
#include "Widgets/qcalendarwidget.h"
#include "Widgets/qcheckbox.h"
#include "Widgets/qcombobox.h"
#include "Widgets/qdateedit.h"
#include "Widgets/qdatetimeedit.h"
#include "Widgets/qdial.h"
#include "Widgets/qdialogbuttonbox.h"
#include "Widgets/qframe.h"
#include "Widgets/qlabel.h"
#include "Widgets/qlineedit.h"
#include "Widgets/qlistwidget.h"
#include "Widgets/qmainwindow.h"
#include "Widgets/qmenu.h"
#include "Widgets/qmenubar.h"
#include "Widgets/qplaintextedit.h"
#include "Widgets/qprogressbar.h"
#include "Widgets/qpushbutton.h"
#include "Widgets/qradiobutton.h"
#include "Widgets/qscrollbar.h"
#include "Widgets/qslider.h"
#include "Widgets/qspinbox.h"
#include "Widgets/qsplitter.h"
#include "Widgets/qstatusbar.h"
#include "Widgets/qtabbar.h"
#include "Widgets/qtablewidget.h"
#include "Widgets/qtabwidget.h"
#include "Widgets/qtextbrowser.h"
#include "Widgets/qtextedit.h"
#include "Widgets/qtimeedit.h"
#include "Widgets/qtoolbar.h"
#include "Widgets/qtoolbutton.h"
#include "Widgets/qtreeview.h"
#include "Widgets/qtreewidget.h"
	//#include "Widgets/qwidget.h"
#include "Widgets/qwizardpage.h"

// DIALOGS
#include "Widgets/Dialogs/qdialog.h"
#include "Widgets/Dialogs/qcolordialog.h"
#include "Widgets/Dialogs/qfiledialog.h"
#include "Widgets/Dialogs/qfontdialog.h"
#include "Widgets/Dialogs/qinputdialog.h"
#include "Widgets/Dialogs/qmessagebox.h"
#include "Widgets/Dialogs/qpagesetupdialog.h"
#include "Widgets/Dialogs/qprintdialog.h"
#include "Widgets/Dialogs/qprintpreviewdialog.h"
#include "Widgets/Dialogs/qprogressdialog.h"
#include "Widgets/Dialogs/qwizard.h"

				
// EVENTS
#include "Events/qevent.h"
#include "Events/qcontextmenuevent.h"
#include "Events/qdropevent.h"
#include "Events/qkeyevent.h"
#include "Events/qmouseevent.h"
#include "Events/qdragenterevent.h"
//#include "Events/qdragmoveevent.h"
//#include "Events/qkeyevent.h"
//#include "Events/qmouseevent.h"

// QOBJECTS
#include "Objects/qgridlayout.h"
#include "Objects/qhboxlayout.h"
#include "Objects/qvboxlayout.h"

// TYPES
#include "Types/qcolor.h"
#include "Types/qimage.h"
#include "Types/qmodelindex.h"
#include "Types/qpalette.h"
#include "Types/qprinter.h"
#include "Types/qpoint.h"
#include "Types/qrect.h"
#include "Types/qtablewidgetitem.h"
#include "Types/qtreewidgetitem.h"
#include "Types/qlistwidgetitem.h"



// QOBJECTS
//#include "QtGui/qaction.h"
//#include "QtGui/qapplication.h"
//#include "QtGui/qbrush.h"
//#include "QtGui/qfilesystemmodel.h"
//#include "QtGui/qfont.h"

//#include "QtGui/qmatrix.h"
//#include "QtGui/qpainter.h"
//#include "QtGui/qpainterpath.h"
//#include "QtGui/qpen.h"
//#include "QtGui/qpixmap.h"
//#include "QtGui/qscrollarea.h"
//#include "QtGui/qsound.h"

//#include "QtGui/qsystemtrayicon.h"
//#include "QtGui/qclipboard.h"
//


//#ifdef QT_SVG_LIB
//	#include "QtSvg/qsvgwidget.h"
//#endif

//#ifdef QTTEST
//	#include "QtTest/qtesteventlist.h"
//#endif
//
//#include "QtUiTools/quiloader.h"

#endif
