#ifndef QCONTEXTMENUEVENTWRAP_H
#define QCONTEXTMENUEVENTWRAP_H


#include "../qt.h"

class QContextMenuEventWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QContextMenuEvent *q);
  QContextMenuEvent* GetWrapped() const { return q_; };
  void SetWrapped(QContextMenuEvent *q) { 
//    if (q_) delete q_; 
//    q_ = new QContextMenuEvent(q);
		q_ = q;
  };

 private:
  QContextMenuEventWrap(const v8::Arguments& args);
  ~QContextMenuEventWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

//void 	accept ()
//void 	ignore ()
//bool 	isAccepted () const
//void 	setAccepted ( bool accepted )
//bool 	spontaneous () const
//Type 	type () const

  // Wrapped methods  
	DEFINE_METHOD(destroy)
	
	DEFINE_METHOD(accept)
	DEFINE_METHOD(ignore)
	DEFINE_METHOD(isAccepted)
	DEFINE_METHOD(setAccepted)
	//DEFINE_METHOD(spontaneous)
	DEFINE_METHOD(type)
	
	DEFINE_METHOD(globalPos)
	DEFINE_METHOD(pos)
		
  // Wrapped object
  QContextMenuEvent* q_;
};

#endif
