#ifndef QDRAGENTEREVENTWRAP_H
#define QDRAGENTEREVENTWRAP_H

#include "../qt.h"

class QDragEnterEventWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QDragEnterEvent *q);
  QDragEnterEvent* GetWrapped() const { return q_; };
  void SetWrapped(QDragEnterEvent *q) { 
  	q_ = q;
//    if (q_) delete q_; 
//    q_ = new QDragEnterEvent(q); 
  };

 private:
  QDragEnterEventWrap(const v8::Arguments& args);
  ~QDragEnterEventWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

//void 	accept ()
//void 	ignore ()
//bool 	isAccepted () const
//void 	setAccepted ( bool accepted )
//bool 	spontaneous () const
//Type 	type () const

  // Wrapped methods  
	DEFINE_METHOD(accept)
	DEFINE_METHOD(ignore)
	DEFINE_METHOD(isAccepted)
	DEFINE_METHOD(setAccepted)
	//DEFINE_METHOD(spontaneous)
	DEFINE_METHOD(type)
	
	DEFINE_METHOD(mimeData)
	DEFINE_METHOD(acceptProposedAction)
	
	DEFINE_METHOD(destroy)
	
  // Wrapped object
  QDragEnterEvent* q_;
};

#endif
