#ifndef QEVENTWRAP_H
#define QEVENTWRAP_H


#include "../qt.h"

class QEventWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QEvent *q);
  QEvent* GetWrapped() const { return q_; };
  void SetWrapped(QEvent *q) {
  	q_ = q;
//    if (q_) delete q_; 
//    q_ = new QEvent(q); 
  };

 private:
  QEventWrap();
  ~QEventWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

//void 	accept ()
//void 	ignore ()
//bool 	isAccepted () const
//void 	setAccepted ( bool accepted )
//bool 	spontaneous () const
//Type 	type () const

  // Wrapped methods  
	DEFINE_METHOD(accept)
	DEFINE_METHOD(ignore)
	DEFINE_METHOD(isAccepted)
	DEFINE_METHOD(setAccepted)
	//DEFINE_METHOD(spontaneous)
	DEFINE_METHOD(type)
	
	DEFINE_METHOD(destroy)
	
  // Wrapped object
  QEvent* q_;
};

#endif
