#ifndef QMOUSEEVENTWRAP_H
#define QMOUSEEVENTWRAP_H


#include "../qt.h"

class QMouseEventWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  static v8::Handle<v8::Value> NewInstance(QMouseEvent *q);
  QMouseEvent* GetWrapped() const { return q_; };
  void SetWrapped(QMouseEvent *q) {
  	q_ = q;
    //if (q_) delete q_; 
    //q_ = new QMouseEvent(q); 
  };

 private:
  QMouseEventWrap(const v8::Arguments& args);
  ~QMouseEventWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods  
	DEFINE_METHOD(accept)
	DEFINE_METHOD(ignore)
	
	DEFINE_METHOD(x)
	DEFINE_METHOD(y)
	DEFINE_METHOD(button)
	
	DEFINE_METHOD(globalX)
	DEFINE_METHOD(globalY)
	
	DEFINE_METHOD(destroy)
	
  // Wrapped object
  QMouseEvent* q_;
};

#endif
