#ifndef QSETTINGSWRAP_H
#define QSETTINGSWRAP_H

#include "../qt.h"

//#include "../receiver.h"
//#include "qmenu.h"
//#include "qimage.h"
//#include "qmimedata.h"

class QSettingsWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  
  QSettings* GetWrapped() const { return q_; };
  
//  void SetWrapped(QSettings *q) { 
//    q_ = q;
//  };
//  static v8::Handle<v8::Value> NewInstance(QSettings *q);

 private:
  QSettingsWrap(const v8::Arguments& args);
  ~QSettingsWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);
	
  // Wrapped methods
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
  DEFINE_METHOD(clear)
	DEFINE_METHOD(value)
	DEFINE_METHOD(setValue)
	DEFINE_METHOD(beginGroup)
	DEFINE_METHOD(endGroup)
	
	DEFINE_METHOD(childGroups)
	DEFINE_METHOD(childKeys)
	
  // Wrapped object
  QSettings* q_;
};

#endif
