#ifndef QBRUSHWRAP_H
#define QBRUSHWRAP_H


#include "../qt.h"

class QBrushWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QBrush* GetWrapped() const { return q_; };

 private:
  QBrushWrap(const v8::Arguments& args);
  ~QBrushWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
  // Wrapped object
  QBrush* q_;
};

#endif
