#ifndef QMODELINDEXWRAP_H
#define QMODELINDEXWRAP_H


#include "../qt.h"

class QModelIndexWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QModelIndex* GetWrapped() const { return q_; };
  void SetWrapped(QModelIndex q) { //*q
  	
  	//TEST ONLY
    if (q_) delete q_; 
    q_ = new QModelIndex(q);
    
    //q_ = q;
  };
  static v8::Handle<v8::Value> NewInstance(QModelIndex q);//QModelIndex *q

 private:
  QModelIndexWrap(const v8::Arguments& args);
  ~QModelIndexWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  //static v8::Handle<v8::Value> On(const v8::Arguments& args);
  
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
	DEFINE_METHOD(column)
	DEFINE_METHOD(row)
	DEFINE_METHOD(data)
	
	DEFINE_METHOD(isValid)
	DEFINE_METHOD(child)
		
  // Wrapped object
  QModelIndex* q_;
};

#endif
