#ifndef QPENWRAP_H
#define QPENWRAP_H


#include "../qt.h"

#include "qbrush.h"
#include "qcolor.h"

class QPenWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QPen* GetWrapped() const { return q_; };

 private:
  QPenWrap(const v8::Arguments& args);
  ~QPenWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
  // Wrapped object
  QPen* q_;
};

#endif
