#ifndef QPRINTERWRAP_H
#define QPRINTERWRAP_H


#include "../qt.h"

class QPrinterWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QPrinter* GetWrapped() const { return q_; };
  void SetWrapped(QPrinter *q) { 
    //if (q_) delete q_; 
    //q_ = new QPrinter(q);
    q_ = q;
  };
  static v8::Handle<v8::Value> NewInstance(QPrinter *q);

 private:
  QPrinterWrap(const v8::Arguments& args);
  ~QPrinterWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
	DEFINE_METHOD(destroy)
	DEFINE_METHOD(equals)
	
	DEFINE_METHOD(newPage)
	DEFINE_METHOD(setOutputFileName)
	DEFINE_METHOD(setOutputFormat)
		
  // Wrapped object
  QPrinter* q_;
};

#endif
