#ifndef QPAGESETUPDIALOGWRAP_H
#define QPAGESETUPDIALOGWRAP_H


#include "../qwidget.h"
#include "qdialogtpl.h"

/*************************************************
 QPageSetupDialog
*************************************************/

class QPageSetupDialogWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
	QPageSetupDialog* GetWrapped() const { return q_; };
	void SetWrapped(QPageSetupDialog *q) { q_ = q;	};
	static v8::Handle<v8::Value> NewInstance(QPageSetupDialog *q);
	bool hasEvents;
	
 private:
  QPageSetupDialogWrap(const v8::Arguments& args);
  ~QPageSetupDialogWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  // OWN METHODS
  //DEFINE_METHOD(setOption)

  // STATIC
  //DEFINE_METHOD(getFont)
  
  // Wrapped object
  QPageSetupDialog* q_;
};

#endif