#ifndef QPRINTDIALOGWRAP_H
#define QPRINTDIALOGWRAP_H

#include "../qwidget.h"
#include "qdialogtpl.h"

/*************************************************
 QPrintDialog
*************************************************/

class QPrintDialogWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
	QPrintDialog* GetWrapped() const { return q_; };
	void SetWrapped(QPrintDialog *q) { q_ = q;	};
	static v8::Handle<v8::Value> NewInstance(QPrintDialog *q);
	bool hasEvents;
	
 private:
  QPrintDialogWrap(const v8::Arguments& args);
  ~QPrintDialogWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  // OWN METHODS
  //DEFINE_METHOD(setOption)

  // STATIC
  //DEFINE_METHOD(getFont)
  
  // Wrapped object
  QPrintDialog* q_;
};

#endif