#ifndef QSVGWIDGETWRAP_H
#define QSVGWIDGETWRAP_H


#include "../QtGui/qwidget.h"

class QSvgWidgetWrap : public node::ObjectWrap {
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QSvgWidget* GetWrapped() const { return q_; };
  void SetWrapped(QSvgWidget *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QSvgWidget *q);

 private:
  QSvgWidgetWrap(const Arguments& args);// const v8::Arguments& args		QWidget* parent=0
  ~QSvgWidgetWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
	DEFINE_METHOD(load)
	
  // Wrapped object
  QSvgWidget* q_;
};

#endif
