#ifndef QDATETIMEEDITWRAP_H
#define QDATETIMEEDITWRAP_H


#include "qwidget.h"

class QDateTimeEditWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QDateTimeEdit* GetWrapped() const { return q_; };
  void SetWrapped(QDateTimeEdit *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QDateTimeEdit *q);
	bool hasEvents;
	
 private:
  QDateTimeEditWrap(const v8::Arguments& args);
  ~QDateTimeEditWrap();
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  DEFINE_METHOD(dateTime)
  DEFINE_METHOD(setDateTime)
  		
  // Wrapped object
  QDateTimeEdit* q_;
};

#endif
