#ifndef QDIALWRAP_H
#define QDIALWRAP_H


#include "qwidget.h"

class QDialWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QDial* GetWrapped() const { return q_; };
  void SetWrapped(QDial *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QDial *q);
	bool hasEvents;
	
 private:
  QDialWrap(const v8::Arguments& args);
  ~QDialWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  DEFINE_METHOD(setValue)
  DEFINE_METHOD(value)
  		
  // Wrapped object
  QDial* q_;
};

#endif
