#ifndef QPLAINTEXTEDITWRAP_H
#define QPLAINTEXTEDITWRAP_H


#include "qwidget.h"

// QWidgetImpl()
// Extends QWidget to implement virtual methods from QWidget
//class QPlainTextEditImpl : public QPlainTextEdit {
//Q_OBJECT
//	
//public slots:
//  void printPreview(QPrinter *);
//		
////public:
////	DEFINE_WIDGET_EVENT_CALLBACKS
//
//};

class QPlainTextEditWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QPlainTextEdit* GetWrapped() const { return q_; };
  void SetWrapped(QPlainTextEdit *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QPlainTextEdit *q);
	bool hasEvents;
	
 private:
  QPlainTextEditWrap(const v8::Arguments& args);
  ~QPlainTextEditWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  DEFINE_METHOD(appendHtml)
  DEFINE_METHOD(appendPlainText)
  
  DEFINE_METHOD(clear)
  DEFINE_METHOD(copy)
  DEFINE_METHOD(cut)
  DEFINE_METHOD(find)
  DEFINE_METHOD(paste)
  DEFINE_METHOD(print)
  DEFINE_METHOD(selectAll)
  DEFINE_METHOD(setPlainText)
  DEFINE_METHOD(setTabStopWidth)
  DEFINE_METHOD(toPlainText)
  DEFINE_METHOD(undo)
  
	DEFINE_METHOD(setReadOnly)

  // Wrapped object
  QPlainTextEdit* q_;
};

#endif
