#ifndef QPUSHBUTTONWRAP_H
#define QPUSHBUTTONWRAP_H


#include "qwidget.h"
//#include "../evtreceiver.h" // problem???

//#include <QList>

class QPushButtonWrap : public node::ObjectWrap {

 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QPushButton* GetWrapped() const { return q_; };
  void SetWrapped(QPushButton *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QPushButton *q);
	bool hasEvents;
	//list<EventReceiver*> filterList;
	//QList<EventReceiver*> filters;
	
	void addEventFilter();
	
 private:
  QPushButtonWrap(const v8::Arguments& args);
  ~QPushButtonWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)
  
  DEFINE_METHOD(setText)
  DEFINE_METHOD(text)
      
  DEFINE_METHOD(setDefault)
    
  // Wrapped object
  QPushButton* q_;
  
};

#endif
