#ifndef QTEXTEDITWRAP_H
#define QTEXTEDITWRAP_H


#include "qwidget.h"

//// QWidgetImpl()
//// Extends QWidget to implement virtual methods
//class QTextEditImpl : public QTextEdit {
//Q_OBJECT
//	
//public slots:
//  void printPreview(QPrinter *);
//  
////public:
////	DEFINE_WIDGET_EVENT_CALLBACKS
//	
//};

class QTextEditWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QTextEdit* GetWrapped() const { return q_; };
  void SetWrapped(QTextEdit *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QTextEdit *q);
	bool hasEvents;
	
 private:
  QTextEditWrap(const v8::Arguments& args);
  ~QTextEditWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)

	DEFINE_METHOD(append)
	DEFINE_METHOD(clear)
	DEFINE_METHOD(copy)
	DEFINE_METHOD(cut)
	DEFINE_METHOD(find)
	DEFINE_METHOD(paste)
	DEFINE_METHOD(print)
	DEFINE_METHOD(selectAll)
	DEFINE_METHOD(setHtml)
	DEFINE_METHOD(setPlainText)
	DEFINE_METHOD(setTabStopWidth)
	DEFINE_METHOD(setText)
	DEFINE_METHOD(toHtml)
	DEFINE_METHOD(toPlainText)
	DEFINE_METHOD(undo)
	   	
  // Wrapped object
  QTextEdit* q_;
};

#endif
