#ifndef QTIMEEDITWRAP_H
#define QTIMEEDITWRAP_H


#include "qwidget.h"

class QTimeEditWrap : public node::ObjectWrap {
	
 public:
  static void Initialize(v8::Handle<v8::Object> target);
  QTimeEdit* GetWrapped() const { return q_; };
  void SetWrapped(QTimeEdit *q) { q_ = q; };
  static v8::Handle<v8::Value> NewInstance(QTimeEdit *q);
	bool hasEvents;
	
 private:
  QTimeEditWrap(const v8::Arguments& args);
  ~QTimeEditWrap();
  
  static v8::Persistent<v8::Function> constructor;
  static v8::Handle<v8::Value> New(const v8::Arguments& args);

//- time () -> string ("hh:mm:ss")
//- setTime (int h, int min, int sec)

  // Wrapped methods
  DEFINE_METHOD(on)
  DEFINE_METHOD(off)

  DEFINE_METHOD(time)
  DEFINE_METHOD(setTime)
		
  // Wrapped object
  QTimeEdit* q_;
};

#endif
